Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227037 - Review Request: aspectwerkz-2.0-2jpp - AOP for Java
Summary: Review Request: aspectwerkz-2.0-2jpp - AOP for Java
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tania Bento
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:29 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
1 user (show)

Fixed In Version: 2.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-08 18:18:26 UTC


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:29:47 UTC
Spec URL: http://people.redhat.com/rafaels/specs/aspectwerkz-2.0-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/aspectwerkz-2.0-2jpp.src.rpm
Description: AspectWerkz is a dynamic, lightweight and
high-performant AOP/AOSD framework for Java.
AspectWerkz utilizes runtime bytecode modification
to weave your classes at runtime. It hooks in and
weaves classes loaded by any class loader except
the bootstrap class loader. It has a rich join
point model. Aspects, advices and introductions
are written in plain Java and your target classes
can be regular POJOs. You have the possibility to
add, remove and re-structure advices as well as
swapping the implementation of your introductions at
runtime. Your aspects can be defined using either an
XML definition file or using Runtime Attributes.

Javadoc for aspectwerkz.

Documents for aspectwerkz.

Samples for aspectwerkz.


Note You need to log in before you can comment on or make changes to this bug.